{% extends 'shared/_dashboard.html' %}
{% load static %}
{% load widget_tweaks %}

{% block body %}
<div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <h1>Ticket</h1>
            <hr />

        </div>

        <div class="col-12 col-lg-4 mb-5">
            <div class="card mb-4">
                <div class="card-body">
                    <h5 class="mb-4">Previous Tickets</h5>
                    <hr />
                    <div class="list-group text-left" id="list-tab" role="tablist">
                        {% if tickets %}
                        {% for ticket in tickets %}
                        <li href="#" class="list-group-item list-group-item-action">
                            <div>Ticket: <a href="{% url 'dashboard:ticket-detail' ticket.sku %}"
                                    class="badge badge-primary mb-1">{{ ticket.sku }}</a></div>
                            {% if ticket.answer_status == 'a' %}
                            <div>Answered: <span href="#" class="badge badge-pill badge-success mb-1">Answered</span>
                            </div>
                            {% else %}
                            <div>Answered: <span href="#"
                                    class="badge badge-pill badge-outline-warning mb-1">Unanswered</span> </div>
                            {% endif %}
                            {% if ticket.raised_by.get_full_name %}
                            <div>Department: <span href="#"
                                    class="badge badge-pill badge-outline-info mb-1">{{ ticket.department_id }}</span>
                            </div>
                            {% else %}
                            <div>From: <span href="#"
                                    class="badge badge-pill badge-outline-info mb-1">{{ ticket.raised_by.username }}</span>
                            </div>
                            {% endif %}
                            <div>Date: <span href="#"
                                    class="badge badge-pill badge-outline-info mb-1">{{ ticket.created }}</span></div>
                        </li>
                        {% endfor %}
                        {% else %}
                        <li href="#" class="list-group-item list-group-item-action">
                            <div>you don't have any tickets right now.</div>
                        </li>
                        {% endif %}

                    </div>

                </div>
            </div>
        </div>

        <div class="col-12 col-lg-8 mb-5">
            <div class="card mb-4">
                <div class="card-body">
                    {% if messages %}
                    <div class="alert alert-success">
                        {% for m in messages %}
                        <li{% if message.tags %} class="{{ message.tags }}" {% endif %}>{{ m }}</li>
                            {% endfor %}
                    </div>
                    {% endif %}
                    <h5 class="mb-4">Raise Ticket</h5>
                    <hr />
                    <form method="POST" id="ticket-create" class="tooltip-label-right"
                        action="{% url 'dashboard:ticket-create' %}" >
                        {% csrf_token %}
                        <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                        {% for hidden in form.hidden_fields %}
                            {{ hidden }}
                        {% endfor %}

                        {% for field in form.visible_fields %}
                            <div class="form-group position-relative">
                                <label for="{{ field.id_for_label }}">{{ field.label }}</label>
                                {% if field.errors %}
                                    {% render_field field class="form-control error" aria-describedby="jQueryName-error" dir="ltr" aria-invalid="true" %}
                                {% else %}
                                    {{ field|add_class:'form-control' }}
                                {% endif %}
                                {% for error in field.errors %}
                                    <div id="jQueryDetail-error" class="error">{{ error }}</div>
                                {% endfor %}
                            </div>
                        {% endfor %}

                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

{% block scripts %}
<script src="https://www.google.com/recaptcha/api.js?render=6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A"></script>
<script>
    grecaptcha.ready(function () {
        $('#ticket-create').submit(function (e) {
            var form = this;
            e.preventDefault()
            grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {
                action: 'recaptcha'
            }).then(function (token) {
                $('#recaptcha').val(token)
                form.submit()
            });
        })

    });
</script>
{% endblock %}